
From: Francois Romieu <romieu@fr.zoreil.com>

The Linksys EG1032 uses Realtek's 8169 chipset.

Credit goes to Bob Wilson <bwilson4web@hotmail.com> for the report.

Signed-off-by: Francois Romieu <romieu@fr.zoreil.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/net/r8169.c |    1 +
 1 files changed, 1 insertion(+)

diff -puN drivers/net/r8169.c~r8169-pci-id-for-the-linksys-eg1032 drivers/net/r8169.c
--- 25/drivers/net/r8169.c~r8169-pci-id-for-the-linksys-eg1032	Fri Jul 29 16:24:04 2005
+++ 25-akpm/drivers/net/r8169.c	Fri Jul 29 16:24:04 2005
@@ -186,6 +186,7 @@ const static struct {
 static struct pci_device_id rtl8169_pci_tbl[] = {
 	{ PCI_DEVICE(PCI_VENDOR_ID_REALTEK,	0x8169), },
 	{ PCI_DEVICE(PCI_VENDOR_ID_DLINK,	0x4300), },
+	{ PCI_DEVICE(PCI_VENDOR_ID_LINKSYS,	0x1032), },
 	{ PCI_DEVICE(0x16ec,			0x0116), },
 	{0,},
 };
_
